fink and Tiger

Discussion in 'Mac Apps and Mac App Store' started by NuPowerbook, Apr 29, 2005.

  1. NuPowerbook macrumors member

    Joined:
    Jan 17, 2004
    #1
    Does anyone know how to make fink Tiger compatible? When I go to use it it complains about the new versions of Perl and GCC.
     
  2. solaris macrumors 6502a

    solaris

    Joined:
    Apr 19, 2004
    Location:
    Oslo, Norway
    #2
    Strange, cause Fink 0.7.1 is working fine here.
    What are the exact error message(s) you get and when do you get it?
     
  3. NuPowerbook thread starter macrumors member

    Joined:
    Jan 17, 2004
    #3
    Did you erase and install when you installed Tiger or simply upgrade? I am trying to do a brand new install, and on both of my machines, when I download the source release of fink, then go to install it, I get complaints about perl and GCC. THe Binary release does work, I confirmed that, but I want the source release.
     
  4. yellow Moderator emeritus

    yellow

    Joined:
    Oct 21, 2003
    Location:
    Portland, OR
  5. NuPowerbook thread starter macrumors member

    Joined:
    Jan 17, 2004
    #5
    Yes.
     
  6. wrc fan macrumors 65816

    wrc fan

    Joined:
    Jan 19, 2003
    Location:
    In a world where LPs are made like pancakes
    #6
    I haven't tried this, cause I decided to just do a binary install, but you'll need to edit bootstrap.pl find where it says:

    Code:
    # acceptible perl versions: "$] value" => "human-readible version string"
    my %ok_perl_versions = (
        "5.006"    => "5.6.0",
        "5.006001" => "5.6.1",
        "5.008"    => "5.8.0",
        "5.008001" => "5.8.1",
        "5.008002" => "5.8.2",
        "5.008004" => "5.8.4"
    );
    and add "5.008006" => "5.8.6"

    so it'll look like:

    Code:
    # acceptible perl versions: "$] value" => "human-readible version string"
    my %ok_perl_versions = (
        "5.006"    => "5.6.0",
        "5.006001" => "5.6.1",
        "5.008"    => "5.8.0",
        "5.008001" => "5.8.1",
        "5.008002" => "5.8.2",
        "5.008004" => "5.8.4",
        "5.008006" => "5.8.6"
    );
     
  7. wrc fan macrumors 65816

    wrc fan

    Joined:
    Jan 19, 2003
    Location:
    In a world where LPs are made like pancakes
    #7
    ok, I found another file that needs to be edited "perlmod/Fink/Bootstrap.pm" you need to add:
    Code:
            } elsif ("$]" == "5.008006") {
    on line 66
     

Share This Page